ProMods 2.45 has been released. It runs on game version 1.36 and requires ALL map DLCs. It is not compatible with open beta 1.37.

Please note that due to the COVID-19 pandemic, we are sadly unable to expand our server capacity as per usual and the free download servers are likely to be overwhelmed upon release. Please be kind and patient or use the paid service for a better experience.

Search found 2 matches

by raar99
29 Sep 2018 02:30
Forum: Nederlands
Topic: onbruikbaar
Replies: 6
Views: 1462

Re: onbruikbaar

Dankjewel voor je snelle reactie en dat is dan gelijk het probleem. Steam update het spel wanneer er een nieuwe versie is. Ik zit daarom met 1.32 zonder een mogelijkheid tot downgraden. Is er een datum bekend wanneer promods ook op 1.32 gaat werken?
by raar99
29 Sep 2018 01:53
Forum: Nederlands
Topic: onbruikbaar
Replies: 6
Views: 1462

onbruikbaar

Hallo, Sinds kort speel ik euro truck simulator 2 en ben het dusdanig leuk gaan vinden dat ik ben gaan kijken voor meer map opties. Hierdoor ben ik bij promods uitgekomen(via Squirrel). Nu heb ik ik alles gedownload, de juiste dlc's gekocht en alles in de juiste map gestopt(documenten/euro truck sim...